org.opencv.xfeatures2d

## Class FREAK

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features2d.Feature2D
    - - org.opencv.xfeatures2d.FREAK

-     public class FREAK
      extends Feature2D

  Class implementing the FREAK (*Fast Retina Keypoint*) keypoint descriptor, described in CITE: AOV12 . The algorithm propose a novel keypoint descriptor inspired by the human visual system and more precisely the retina, coined Fast Retina Key- point (FREAK). A cascade of binary strings is computed by efficiently comparing image intensities over a retinal sampling pattern. FREAKs are in general faster to compute with lower memory load and also more robust than SIFT, SURF or BRISK. They are competitive alternatives to existing keypoints in particular for embedded applications. Note:
  - An example on how to use the FREAK descriptor can be found at opencv_source_code/samples/cpp/freak_demo.cpp

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `NB_ORIENPAIRS`
    `static int` | `NB_PAIRS`
    `static int` | `NB_SCALES`

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FREAK(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FREAK` | `__fromPtr__(long addr)`
    `static FREAK` | `create()`
    `static FREAK` | `create(boolean orientationNormalized)`
    `static FREAK` | `create(boolean orientationNormalized, boolean scaleNormalized)`
    `static FREAK` | `create(boolean orientationNormalized, boolean scaleNormalized, float patternScale)`
    `static FREAK` | `create(boolean orientationNormalized, boolean scaleNormalized, float patternScale, int nOctaves)`
    `static FREAK` | `create(boolean orientationNormalized, boolean scaleNormalized, float patternScale, int nOctaves, MatOfInt selectedPairs)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.features2d.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, getDefaultName, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NB_SCALES

          public static final int NB_SCALES

      See Also:
        Constant Field Values

    - #### NB_PAIRS

          public static final int NB_PAIRS

      See Also:
        Constant Field Values

    - #### NB_ORIENPAIRS

          public static final int NB_ORIENPAIRS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FREAK

          protected FREAK(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static FREAK __fromPtr__(long addr)

    - #### create

          public static FREAK create(boolean orientationNormalized,
                                     boolean scaleNormalized,
                                     float patternScale,
                                     int nOctaves,
                                     MatOfInt selectedPairs)

      Parameters:
        `orientationNormalized` - Enable orientation normalization.
        `scaleNormalized` - Enable scale normalization.
        `patternScale` - Scaling of the description pattern.
        `nOctaves` - Number of octaves covered by the detected keypoints.
        `selectedPairs` - (Optional) user defined selected pairs indexes,
      Returns:
        automatically generated

    - #### create

          public static FREAK create(boolean orientationNormalized,
                                     boolean scaleNormalized,
                                     float patternScale,
                                     int nOctaves)

      Parameters:
        `orientationNormalized` - Enable orientation normalization.
        `scaleNormalized` - Enable scale normalization.
        `patternScale` - Scaling of the description pattern.
        `nOctaves` - Number of octaves covered by the detected keypoints.
      Returns:
        automatically generated

    - #### create

          public static FREAK create(boolean orientationNormalized,
                                     boolean scaleNormalized,
                                     float patternScale)

      Parameters:
        `orientationNormalized` - Enable orientation normalization.
        `scaleNormalized` - Enable scale normalization.
        `patternScale` - Scaling of the description pattern.
      Returns:
        automatically generated

    - #### create

          public static FREAK create(boolean orientationNormalized,
                                     boolean scaleNormalized)

      Parameters:
        `orientationNormalized` - Enable orientation normalization.
        `scaleNormalized` - Enable scale normalization.
      Returns:
        automatically generated

    - #### create

          public static FREAK create(boolean orientationNormalized)

      Parameters:
        `orientationNormalized` - Enable orientation normalization.
      Returns:
        automatically generated

    - #### create

          public static FREAK create()

      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Feature2D`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8